> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nueborder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Parameters

> Updates or inserts parameters for imported goods in an EU CBAM report based on the provided company and report IDs.



## OpenAPI

````yaml api-reference/openapi.json put /v1/companies/{company_id}/reports/{report_id}/goods/params
openapi: 3.0.0
info:
  description: Validate, store, and query compliance carbon data.
  title: NueBorder API
  termsOfService: https://nueborder.com/terms/
  contact:
    name: Jack Dunlap
    url: https://nueborder.com/support
    email: support@nueborder.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://nueborder.com/api/v1
security: []
externalDocs:
  description: OpenAPI
  url: https://nueborder.com/openapi/
paths:
  /v1/companies/{company_id}/reports/{report_id}/goods/params:
    put:
      tags:
        - Emissions Goods
      summary: Update Parameters
      description: >-
        Updates or inserts parameters for imported goods in an EU CBAM report
        based on the provided company and report IDs.
      parameters:
        - description: >-
            Unique identifier for the company associated with the imported goods
            parameters
          name: company_id
          in: path
          required: true
          schema:
            type: string
        - description: >-
            Unique identifier for the report associated with the imported goods
            parameters
          name: report_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/flat.QualifyingParametersType'
        description: Payload containing imported goods parameters
        required: true
      responses:
        '200':
          description: Successfully updated or inserted imported goods parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.SuccessResponse'
        '400':
          description: Missing or invalid company_id or report_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.JSONPayloadErrorResponse'
        '500':
          description: Error updating/inserting imported goods parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    flat.QualifyingParametersType:
      description: Summary of Struct
      type: object
      required:
        - item_number
        - parameter_id
        - parameter_name
        - parameter_value
        - parameter_value_type
      properties:
        additional_information:
          description: >-
            Additional Information In this element, the Declarant can write any
            additional information that applies in the location where this is
            positioned. (Min Length: 1, Max Length: 512)
          type: string
        companyID:
          description: Company identifier
          type: integer
        createdAt:
          description: Creation time
          type: string
        description:
          description: >-
            A text element to describe the parameter A text element to describe
            the parameter (Min Length: 1, Max Length: 256)
          type: string
          example: >-
            Tonnes scrap used for producing 1 t of the product (total scrap
            including post-consumer scrap)
        internalReportID:
          description: Internal report ID
          type: integer
        item_number:
          description: >-
            Import Good Item Number, sequencial This element specifies the item
            number of every CBAM Good imported of the CBAM Report. It is a
            sequential number starting at 1. This element specifies the item
            number of every CBAM Good imported of the CBAM Report. It is a
            sequential number starting at 1. (1,2..)
          type: string
          example: '1'
        organizationID:
          description: Organization identifier
          type: integer
        parameter_id:
          description: >-
            ID of the parameter used ID of the parameter used (Min Length: 1,
            Max Length: 5)
          type: string
          example: QPD21
        parameter_name:
          description: >-
            Name of the parameter used Name of the parameter used (Min Length:
            1, Max Length: 256)
          type: string
          example: Aluminium scrap usage
        parameter_value:
          description: >-
            The actual value of the parameter The actual value of the parameter
            (Min Length: 1, Max Length: 256)
          type: string
          example: '9'
        parameter_value_type:
          description: >-
            The type of the parameter The type of the parameter (e.g.,
            Percentage, numeric, text) (e.g., Percentage, numeric, text) (Min
            Length: 1, Max Length: 256)
          type: string
          example: NUMERIC
        sequence_number:
          description: >-
            The sequential number of the parameter The sequential number of the
            parameter (Pattern: \d{1,5})
          type: integer
          example: 1
        updatedAt:
          description: Last update time
          type: string
        updatedBy:
          description: Updater identifier
          type: string
        version:
          description: Report Versions
          type: string
    models.SuccessResponse:
      description: A standard successful API response.
      type: object
      properties:
        message:
          description: A detailed success message.
          type: string
          example: Operation completed successfully
        status:
          description: HTTP status code.
          type: integer
          example: 200
    models.JSONPayloadErrorResponse:
      description: A response indicating that the JSON payload is invalid.
      type: object
      properties:
        message:
          description: A detailed error message.
          type: string
          example: The JSON payload is invalid
        status:
          description: HTTP status code.
          type: integer
          example: 400
    models.InternalServerErrorResponse:
      description: A response indicating that an internal server error occurred.
      type: object
      properties:
        message:
          description: A detailed error message.
          type: string
          example: An internal server error occurred
        status:
          description: HTTP status code.
          type: integer
          example: 500
  securitySchemes:
    BearerAuth:
      description: 'Provide your Bearer token in the format: Bearer <your_api_key>'
      type: apiKey
      name: Authorization
      in: header

````